<?php
include('../common/parseargs.php');


include('../common/basicargcheck.php');

$USAGE=" --diskSafeID=<diskSafeID> --recoveryPointID=<recoveryPointID> --fileSystemPath";

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}

$DISKSAFEID=$args_array['diskSafeID'];
$RECOVERYPOINTID=$args_array['recoveryPointID'];
$FILESYSTEMPATH=$args_array['fileSystemPath'];

if (strlen($DISKSAFEID) < 1) {
        echo "ERROR: --diskSafeID=<diskSafeID> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

if (strlen($RECOVERYPOINTID) < 1) {
        echo "ERROR: --recoveryPointID=<recoveryPointID> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}
if (strlen($FILESYSTEMPATH) < 1) {
        echo "ERROR: --fileSystemPath=<fileSystemPath> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}
class DiskSafe
{
	public $id;
}

$diskSafeObj = new DiskSafe();
$diskSafeObj->id=$DISKSAFEID;

class ApiDirectoryEntry{

}

$apiDirectoryEntry = new ApiDirectoryEntry();

$fileSystemEntry = new FileSystemEntry();

try{
	$client = new soapclient("https://$HOST:$PORT/RecoveryPoints?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1
		 )
	);
	
	$apiDirectoryEntry = $client->getDirectoryEntries(array('diskSafe'=>$diskSafeObj, 'recoveryPointID'=>$RECOVERYPOINTID, 'fileSystemPath'=>$FILESYSTEMPATH)) ;
	var_dump($apiDirectoryEntry);
	
	echo "Successfully executed getMultipleDirectoryEntries\n";

	exit(0);

} 
catch (SoapFault $exception)
{
	echo $exception;
	exit(1);
}


?> 
